summaryrefslogtreecommitdiffstats
path: root/rtems-release-rsb-version
diff options
context:
space:
mode:
authorChris Johns <chrisj@rtems.org>2017-04-06 11:02:24 +1000
committerChris Johns <chrisj@rtems.org>2017-04-06 11:02:24 +1000
commitead5f49d8ca253c7ef7d84f048ce9a5bdee9f321 (patch)
tree74bd4f2fce63aa62336a81575a14fefcb3bb0ee0 /rtems-release-rsb-version
parentChange the name of the examples-v2 package to rtems-examples-v2. (diff)
downloadrtems-release-ead5f49d8ca253c7ef7d84f048ce9a5bdee9f321.tar.bz2
Add a release-path to the RSB VERSION file. Add better defaults support.
Diffstat (limited to 'rtems-release-rsb-version')
-rwxr-xr-xrtems-release-rsb-version89
1 files changed, 89 insertions, 0 deletions
diff --git a/rtems-release-rsb-version b/rtems-release-rsb-version
new file mode 100755
index 0000000..5e79f69
--- /dev/null
+++ b/rtems-release-rsb-version
@@ -0,0 +1,89 @@
+#! /bin/sh
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2015-2016 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-tools'.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+#
+# 1. Redistributions of source code must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# 2. Redistributions in binary form must reproduce the above copyright notice,
+# this list of conditions and the following disclaimer in the documentation
+# and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
+# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+
+#
+# This script adds the hashes to the release packages to the RSB.
+#
+
+echo "RTEMS Release RSB Versioning, v0.1"
+
+#
+# Defaults.
+#
+. ${release_top}/rtems-release-defaults
+
+#
+# The package, version and revision.
+#
+if [ $# -ne 4 ]; then
+ echo "error: must be arguments, the package, version," \
+ "release and the top directory."
+ exit 1
+fi
+package=$1
+version=$2
+revision=$3
+toptop=$4
+
+release=${version}.${revision}
+prefix=${package}-${release}
+
+echo "Package: ${package}"
+echo "Release: ${release}"
+
+#
+# Set the release path. If an RC release use a subdirectory.
+#
+if [ \( $(echo "${release}" | sed -e 's/.*rc.*/yes/') = "yes" \) -o \
+ \( $(echo "${release}" | sed -e 's/.*RC.*/yes/') = "yes" \) ]; then
+ echo "release_path = ${rtems_release_url}/${version}/rc/${release}/sources" >> ${prefix}/VERSION
+else
+ echo "release_path = ${rtems_release_url}/${version}/${release}/sources" >> ${prefix}/VERSION
+fi
+
+checksum=sha512
+
+#
+# Add the hashes for the required packages in the RSB generated during an RTEMS
+# release.
+#
+echo >> ${prefix}/VERSION
+echo "[hashes]" >> ${prefix}/VERSION
+for p in rtems-tools rtems
+do
+ file=${p}-${release}.tar.xz
+ hash=$(${checksum} -q ${toptop}/${release}/${file})
+ echo "${file} = ${checksum} ${hash}" >> ${prefix}/VERSION
+done
+
+echo "RSB Versioning complete."
+
+exit 0